#!/bin/sh

callasDir=`dirname "$0"`
[ $callasDir = "." ] && callasDir=`pwd`
me=$callasDir/`basename "$0"`

if [ !  -d "$callasDir/results"  ]; 
then 
   mkdir "$callasDir/results";
fi

ch=0
while [  "$ch" != "q" -a "$ch" != "Q" -a "$ch" != "9" ]
do
    cat <<EOF
********************************************************************
*                                                                  *
*                                                                  *
*     Sample uses of callas pdfaPilot                              *
*     ==================================                           *
*                                                                  *
*     Please choose one of the options below:                      *
*                                                                  *
*                                                                  *
*  1. Convert all files in "sample files" to PDF/A in the          *
*     result folder. Create a HTML and a XML report if             *
*     conversion fails.                                            *
*                                                                  *
*  2. Analyse all files in "sample files"                          *
*     and create reports in the result folder.                     *
*                                                                  *
*  8. Show help text                                               *
*                                                                  *
*  9. Quit sample.sh                                               *
*                                                                  *
*                                                                  *
********************************************************************
EOF
    echo "Enter digit: "
    read ch

    if [ "$ch" = "1" ]
    then
	for file in "$callasDir/sample files"/*.pdf
	do 
		# remove path and filename extension
		resultname=`basename "$file"`
				
		# report name is built from PDF-Name and Profile-Name
		"$callasDir"/pdfaPilot --report=HTML,IFNOPDFA,"$callasDir/results/$resultname".html --report=XML,IFNOPDFA,"$callasDir/results/$resultname".xml --resultpath="$callasDir/results/" "$file"
		
	    done
    fi

    if [ "$ch" = "2" ]
    then
	for file in "$callasDir/sample files"/*.pdf
	do 
		# remove path and filename extension
		resultname=`basename "$file"`
				
		# report name is built from PDF-Name and Profile-Name
		"$callasDir"/pdfaPilot --analyse --report=HTML,IFNOPDFA,"$callasDir/results/$resultname".html --report=XML,IFNOPDFA,"$callasDir/results/$resultname".xml "$file"
		
	    done
    fi


    if [ "$ch" = "8" ]
    then
	"$callasDir/pdfaPilot" --help
    fi
done
